#! /bin/bash
# ROCK Linux: /etc/init.d/skeleton.sh
# Desc: init.d job template script v 0.1a
#
# (C) JUN 2000 by V Ziegler <ziegler@informatik.hu-berlin.de>
# (C) MAR 2001 by Rene Rebe <rene.rebe@gmx.net>
#
# All functions should return zero on succes
# and an negative int value on failure
# the functions
#                 c_write [String]
#                 c_writeln [String]
# are recommended for output

. /etc/init.d/master.sh

# Functions that are available 
STARTABLE="1"           #start
STOPABLE="1"            #stop
STATUSAVAILABLE="1"     #status

# Custom restart / reload functions
# CUSTOMRESTART="1"      #customrestart
# CUSTOMRELOAD="1"       #customreload 
# Default for restart / reload is stop && start

start ()
{
    c_writeln "starting service (prog) ..."
    return 0
}

stop ()
{
    c_writeln "stopping service (prog) ..."
    return 0
}


status ()
{
    c_writeln "status of service (prog) ..."
    return 0
}


customrestart ()
{
    c_writeln "restaring service (prog) ..."
    return 0
}


customreload ()
{
    c_writeln "reloading service (prog) ..."
    return 0
}

main $1 $2 $3
